#include "pch.h"
#include "MFC\CPushButton.h"


BEGIN_MESSAGE_MAP(CPushButton, CButton)

	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()

END_MESSAGE_MAP()


void CPushButton::OnLButtonDown(UINT nFlags, CPoint point)
{
	if (userOnLButtonDown) userOnLButtonDown(nFlags, point);
	__super::OnLButtonDown(nFlags, point);
}

void CPushButton::OnLButtonUp(UINT nFlags, CPoint point)
{
	if (userOnLButtonUp) userOnLButtonUp(nFlags, point);
	__super::OnLButtonUp(nFlags, point);
}
